GET api/outgoingSecureMessages/search?status={status}&priority={priority}&fromText={fromText}&subject={subject}&body={body}&patientExternalId={patientExternalId}&sentDateOperator={sentDateOperator}&sentDate1={sentDate1}&sentDate2={sentDate2}&getFullBody={getFullBody}&read={read}&deletedByPatient={deletedByPatient}&deletedByUser={deletedByUser}&alreadySent={alreadySent}&createdFromApi={createdFromApi}&fromSecureRecipientName={fromSecureRecipientName}&searchTerm={searchTerm}&page={page}&itemsPerPage={itemsPerPage}

Returns a list of outgoing secure messages.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
status

Current Status of an outgoing secure messages. Possible values: Status should be (Draft or Sent).

string

Default value is empty string ("")

priority

Current priority of an outgoing secure messages. Possible values: Priority should be (Normal, High and Low).

string

Default value is empty string ("")

fromText

Filters the list of outgoing secure messages based on fromText.

string

Default value is empty string ("")

subject

>Filters the list of outgoing secure messages based on subject.

string

Default value is empty string ("")

body

Filters the list of outgoing secure messages based on body.

string

Default value is empty string ("")

patientExternalId

Filters the list of outgoing secure messages based on the patient's unique ID on integrating system.

string

Default value is empty string ("")

sentDateOperator

Sent date operator an outgoing secure messages's comparison operators. Possible values: NotCompare (equals to empty string ""), Equals, GreaterThan, LessThan, GreaterThanOrEqual, LessThanOrEqual, Between, DifferentThan, Contains, StartsWith

string

Default value is empty string ("")

sentDate1

Date that is sent an outgoing secure messages.

date

None.

sentDate2

Second date that is sent an outgoing secure messages.

date

None.

getFullBody

If true, the outgoing secure message list will include the full bodies of the messages. Otherwise, only the first 100 characters of each message's body will be included in the list

boolean

Default value is False

read

Filters the list of outgoing secure messages based on if these messages are readed or not.

boolean

None.

deletedByPatient

Filters the list of outgoing secure messages based on if it is deleted by patient or not.

boolean

None.

deletedByUser

Filters the list of outgoing secure messages based on if it is deleted by user or not.

boolean

None.

alreadySent

Filters the list of outgoing secure messages based on if these messages are sent or not.

boolean

None.

createdFromApi

Filters the list of outgoing secure messages based on if these messages are created from the Api or not.

boolean

None.

fromSecureRecipientName

Filters the list of outgoing secure messages based on a from secure recipient name

string

Default value is empty string ("")

searchTerm

Filters the list of outgoing secure messages based on searchTerm

string

Default value is empty string ("")

page

Page number requested (search results are paginated).

integer

Default value is 1

itemsPerPage

Items to return on each page. See page parameter above.

integer

Default value is 10

Body Parameters

None.

Response Information

Resource Description

ListModelOfOutgoingSecureMessageInfoModel
NameDescriptionTypeAdditional information
TotalItems

integer

None.

ItemsPerPage

integer

None.

CurrentPage

integer

None.

TotalPages

integer

None.

FirstRowOnPage

integer

None.

LastRowOnPage

integer

None.

Rows

Collection of OutgoingSecureMessageInfoModel

None.

Response Formats

application/json, text/json

Sample:
{
  "totalItems": 1,
  "itemsPerPage": 2,
  "currentPage": 3,
  "totalPages": 4,
  "firstRowOnPage": 5,
  "lastRowOnPage": 6,
  "rows": [
    {
      "creationDate": "2026-05-29T16:56:46.6121566+00:00",
      "lastModifiedByUserName": "sample string 2",
      "lastEditionDate": "2026-05-29T16:56:46.6121566+00:00",
      "priority": "sample string 4",
      "status": "sample string 5",
      "messageRead": true,
      "alreadySent": true,
      "createdFromApi": true,
      "deletedByPatient": true,
      "deletedByUser": true,
      "fromSecureRecipientExternalId": "sample string 9",
      "fromSecureRecipientName": "sample string 10",
      "subject": "sample string 11",
      "body": "sample string 12",
      "sentDate": "2026-05-29T16:56:46.6121566+00:00",
      "sentByUserName": "sample string 13",
      "patientExternalId": "sample string 14",
      "representativeExternalId": "sample string 15",
      "sentToRepresentative": true,
      "id": "37b3b87f-9428-42d6-a6b3-e8cbeab8708d",
      "externalId": "sample string 18"
    },
    {
      "creationDate": "2026-05-29T16:56:46.6121566+00:00",
      "lastModifiedByUserName": "sample string 2",
      "lastEditionDate": "2026-05-29T16:56:46.6121566+00:00",
      "priority": "sample string 4",
      "status": "sample string 5",
      "messageRead": true,
      "alreadySent": true,
      "createdFromApi": true,
      "deletedByPatient": true,
      "deletedByUser": true,
      "fromSecureRecipientExternalId": "sample string 9",
      "fromSecureRecipientName": "sample string 10",
      "subject": "sample string 11",
      "body": "sample string 12",
      "sentDate": "2026-05-29T16:56:46.6121566+00:00",
      "sentByUserName": "sample string 13",
      "patientExternalId": "sample string 14",
      "representativeExternalId": "sample string 15",
      "sentToRepresentative": true,
      "id": "37b3b87f-9428-42d6-a6b3-e8cbeab8708d",
      "externalId": "sample string 18"
    }
  ]
}

application/xml, text/xml

Sample:
<ListModelOfOutgoingSecureMessageInfoModelVBZyJynU xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">
  <CurrentPage>3</CurrentPage>
  <FirstRowOnPage>5</FirstRowOnPage>
  <ItemsPerPage>2</ItemsPerPage>
  <LastRowOnPage>6</LastRowOnPage>
  <Rows xmlns:d2p1="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.OutgoingSecureMessages">
    <d2p1:OutgoingSecureMessageInfoModel>
      <ExternalId>sample string 18</ExternalId>
      <Id>37b3b87f-9428-42d6-a6b3-e8cbeab8708d</Id>
      <d2p1:AlreadySent>true</d2p1:AlreadySent>
      <d2p1:Body>sample string 12</d2p1:Body>
      <d2p1:CreatedFromApi>true</d2p1:CreatedFromApi>
      <d2p1:CreationDate>2026-05-29T16:56:46.6121566+00:00</d2p1:CreationDate>
      <d2p1:DeletedByPatient>true</d2p1:DeletedByPatient>
      <d2p1:DeletedByUser>true</d2p1:DeletedByUser>
      <d2p1:FromSecureRecipientExternalId>sample string 9</d2p1:FromSecureRecipientExternalId>
      <d2p1:FromSecureRecipientName>sample string 10</d2p1:FromSecureRecipientName>
      <d2p1:LastEditionDate>2026-05-29T16:56:46.6121566+00:00</d2p1:LastEditionDate>
      <d2p1:LastModifiedByUserName>sample string 2</d2p1:LastModifiedByUserName>
      <d2p1:MessageRead>true</d2p1:MessageRead>
      <d2p1:PatientExternalId>sample string 14</d2p1:PatientExternalId>
      <d2p1:Priority>sample string 4</d2p1:Priority>
      <d2p1:RepresentativeExternalId>sample string 15</d2p1:RepresentativeExternalId>
      <d2p1:SentByUserName>sample string 13</d2p1:SentByUserName>
      <d2p1:SentDate>2026-05-29T16:56:46.6121566+00:00</d2p1:SentDate>
      <d2p1:SentToRepresentative>true</d2p1:SentToRepresentative>
      <d2p1:Status>sample string 5</d2p1:Status>
      <d2p1:Subject>sample string 11</d2p1:Subject>
    </d2p1:OutgoingSecureMessageInfoModel>
    <d2p1:OutgoingSecureMessageInfoModel>
      <ExternalId>sample string 18</ExternalId>
      <Id>37b3b87f-9428-42d6-a6b3-e8cbeab8708d</Id>
      <d2p1:AlreadySent>true</d2p1:AlreadySent>
      <d2p1:Body>sample string 12</d2p1:Body>
      <d2p1:CreatedFromApi>true</d2p1:CreatedFromApi>
      <d2p1:CreationDate>2026-05-29T16:56:46.6121566+00:00</d2p1:CreationDate>
      <d2p1:DeletedByPatient>true</d2p1:DeletedByPatient>
      <d2p1:DeletedByUser>true</d2p1:DeletedByUser>
      <d2p1:FromSecureRecipientExternalId>sample string 9</d2p1:FromSecureRecipientExternalId>
      <d2p1:FromSecureRecipientName>sample string 10</d2p1:FromSecureRecipientName>
      <d2p1:LastEditionDate>2026-05-29T16:56:46.6121566+00:00</d2p1:LastEditionDate>
      <d2p1:LastModifiedByUserName>sample string 2</d2p1:LastModifiedByUserName>
      <d2p1:MessageRead>true</d2p1:MessageRead>
      <d2p1:PatientExternalId>sample string 14</d2p1:PatientExternalId>
      <d2p1:Priority>sample string 4</d2p1:Priority>
      <d2p1:RepresentativeExternalId>sample string 15</d2p1:RepresentativeExternalId>
      <d2p1:SentByUserName>sample string 13</d2p1:SentByUserName>
      <d2p1:SentDate>2026-05-29T16:56:46.6121566+00:00</d2p1:SentDate>
      <d2p1:SentToRepresentative>true</d2p1:SentToRepresentative>
      <d2p1:Status>sample string 5</d2p1:Status>
      <d2p1:Subject>sample string 11</d2p1:Subject>
    </d2p1:OutgoingSecureMessageInfoModel>
  </Rows>
  <TotalItems>1</TotalItems>
  <TotalPages>4</TotalPages>
</ListModelOfOutgoingSecureMessageInfoModelVBZyJynU>